Subject: RE: bug#1305: All code that currently beeps should use visualbellinstead

From: "Drew Adams" <[email-masked]>
Date: Mon, 17 Nov 2008 00:19:10 -0800

> > Firefox's incremental search feature does it much better than Emacs.
> > When an incremental search is failing, it doesn't just add the word
> > "Failing" onscreen.  It also changes the search text entry field to
> > have a bright red background.  This attracts the eye to see that the
> > search is failing.  Should I file a bug to request that Emacs do the
> > same?
> 
> Emacs does it another way, one that in my opinion is even better: it
> highlights just the part of the search that failed.  This is quite
> convenient if you have already typed several extra characters before
> noticing the search failure.
> 
> Note that this is not available in Emacs 22, but has been in the trunk
> for about a year.

It's not only better in general, it's more appropriate for incremental search.
The increment of your search that is successful (matches) is not highlighted;
only the increment that is a mismatch is highlighted. The highlighting is added
and removed incrementally, as you type and delete characters.